IF NOT EXISTS(
    select *
        from sys.sequences
        where object_id = object_id('position_sequence'))
BEGIN
    CREATE SEQUENCE position_sequence
        START WITH 1000000
        INCREMENT BY 1
        NO MAXVALUE;
END;
